Skip to content

Generate version

Request

Initiate the generation process for a dubbing version. Once the process is complete, and you'll receive notifications via email or a callback URL, if configured (see below). Your final video will then be available for download.

Version Status

This operation is only allowed if the version status is ReadyToEdit. Upon execution, the version status will be updated to Generating, until the generation process is completed, after which the version status will be updated to Completed.

Security
api_key
Path
version_idstringrequired
Bodyapplication/jsonrequired
generate_modestringrequired

Panjaya will generate the version with or without synthesized lips according to the parameter's value.

Enum:"with_lips""no_lips"
{ "generate_mode": "with_lips" }

Responses

The version is being generated

Bodyapplication/json
any
Response
// No response example